OpenMM

- Main Page
- Related Pages
- Classes

- Package Functions

All Classes Namespaces Functions Variables Pages
Classes | Functions | Variables
simtk.openmm.app.amberinpcrdfile Namespace Reference

## Classes
class | AmberInpcrdFile
| AmberInpcrdFile parses an AMBER inpcrd file and loads the data stored in it. More...

## Functions
def | numpy_protector
| Decorator to emit useful error messages if users try to request numpy processing if numpy is not available. More...

## Variables
string | __author__ = "Peter Eastman"
string | __version__ = "1.0"
| np = None

## Detailed Description

    armberinpcrdfile.py: Used for loading AMBER inpcrd files.

    This is part of the OpenMM molecular simulation toolkit originating from

    Simbios, the NIH National Center for Physics-Based Simulation of

    Biological Structures at Stanford, funded under the NIH Roadmap for

    Medical Research, grant U54 GM072970. See https://simtk.org.

    Portions copyright (c) 2012-2014 Stanford University and the Authors.

    Authors: Peter Eastman

    Contributors: Jason Swails

    Permission is hereby granted, free of charge, to any person obtaining a

    copy of this software and associated documentation files (the "Software"),

    to deal in the Software without restriction, including without limitation

    the rights to use, copy, modify, merge, publish, distribute, sublicense,

    and/or sell copies of the Software, and to permit persons to whom the

    Software is furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in

    all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

    THE AUTHORS, CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,

    DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR

    OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE

    USE OR OTHER DEALINGS IN THE SOFTWARE.

## Function Documentation

def simtk.openmm.app.amberinpcrdfile.numpy_protector | ( |  | func | ) |

Decorator to emit useful error messages if users try to request numpy processing if numpy is not available.

Raises ImportError if numpy could not be found

## Variable Documentation

string __author__ = "Peter Eastman"

string __version__ = "1.0"

np = None